package piglets.delta;

import piglets.SuperHerder;
import piglets.SuperPiglet;
import universum.bi.BeingInterface;
import universum.bi.UserGameInfo;
import universum.bi.Constants;

/**
 * Created by IntelliJ IDEA.
 * User: Tanya
 * Date: 03.02.2007
 * Time: 12:19:55
 */
public class Herder extends SuperHerder {
    public boolean [] exploredColumn;
    public boolean everythingExplored;

    public float totalMass;
    protected void makeTurn(BeingInterface bi) {
        super.makeTurn(bi);

        totalMass = 0;
        for (SuperPiglet p : piglets) {
            totalMass += bi.getMass(p, p.ID);
        }
    }

    public void init(UserGameInfo ugi) {
        super.init(ugi);

        eatingDrawWells = 0;
        exploredColumn = new boolean[Constants.getWidth()];
        everythingExplored = false;
    }

    private int eatingDrawWells = 0;
    public synchronized void addEatingDrawWells(boolean add) {
        eatingDrawWells += add ? 1 : -1;
    }

    public synchronized boolean hasEatingDrawWells() {
        return eatingDrawWells > 0;
    }
}
